<?php

/*
 * PuzzleApp
 * Webemyos
 * Jérôme Oliva
 * GNU Licence
 */

namespace Plugins\ClickTrackPlugin\Entity;

use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class ClickTrackPluginMessage extends Entity {

    //Constructeur
    function __construct($core) {
        //Version
        $this->Version = "2.0.0.0";

        //Nom de la table 
        $this->Core = $core;
        $this->TableName = "ClickTrackPluginMessage";
        $this->Alias = "ClickTrackPluginMessage";

        $this->EntityName = new Property("EntityName", "EntityName", TEXTBOX, false, $this->Alias);
        $this->EntityId = new Property("EntityId", "EntityId", NUMERICBOX, false, $this->Alias);
        $this->DateCreated = new Property("DateCreated", "DateCreated", DATEBOX, false, $this->Alias);
      
        $this->FirstName = new Property("FirstName", "FirstName", TEXTBOX, false, $this->Alias);
        $this->Name = new Property("Name", "Name", TEXTBOX, false, $this->Alias);
        $this->Email = new Property("Email", "Email", TEXTBOX, false, $this->Alias);
        $this->Phone = new Property("Phone", "Phone", TEXTBOX, false, $this->Alias);
        $this->Message = new Property("Message", "Message", TEXTBOX, false, $this->Alias);
       
        //Creation de l entité 
        $this->Create();
    }
}

?>